dnl
dnl $Id: config.m4,v 1.1 2004/04/12 23:35:22 pollita Exp $
dnl
PHP_ARG_WITH(bz2-filter, for BZIP2 support,
[  --with-bz2-filter[=DIR]   BZIP2 Filter Support (requires libbz2 >= 1.0.0).])

if test "$PHP_BZ2_FILTER" != "no"; then
  if test -r $PHP_BZ2_FILTER/include/bzlib.h; then
    BZ2_FILTER_DIR=$PHP_BZ2_FILTER
  else
    AC_MSG_CHECKING(for BZip2 in default path)
    for i in /usr/local /usr; do
      if test -r $i/include/bzlib.h; then
        BZ2_FILTER_DIR=$i
        AC_MSG_RESULT(found in $i)
        break
      fi
    done
  fi

  if test -z "$BZ2_FILTER_DIR"; then
    AC_MSG_RESULT(not found)
    AC_MSG_ERROR(Please reinstall the BZip2 distribution)
  fi

  PHP_CHECK_LIBRARY(bz2, BZ2_bzerror,
  [
    PHP_ADD_INCLUDE($BZ2_FILTER_DIR/include)
    PHP_ADD_LIBRARY_WITH_PATH(bz2, $BZ2_FILTER_DIR/lib, BZ2_FILTER_SHARED_LIBADD)
    AC_DEFINE(HAVE_BZ2_FILTER,1,[ ])
  ], [
    AC_MSG_ERROR(bz2 filter module requires libbz2 >= 1.0.0)
  ], [
    -L$BZ2_FILTER_DIR/lib
  ])

  PHP_NEW_EXTENSION(bz2_filter, bz2_filter_stub.c bz2_filter.c, $ext_shared)
  PHP_SUBST(BZ2_FILTER_SHARED_LIBADD)
fi
